# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "quantwave-plugins"
version = "0.1.12"
authors = ["Mayank Lavania"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A high-performance, Polars-native technical analysis library for Rust."
homepage = "https://github.com/lavs9/quantwave"
readme = "README.md"
keywords = [
    "trading",
    "technical-analysis",
    "polars",
    "finance",
]
categories = [
    "science",
    "mathematics",
]
license = "MIT"
repository = "https://github.com/lavs9/quantwave"
resolver = "2"

[lib]
name = "quantwave_plugins"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"

[dependencies.polars]
version = "0.46"
features = [
    "lazy",
    "dtype-struct",
]

[dependencies.polars-arrow]
version = "0.46"

[dependencies.quantwave-core]
version = "0.1.12"

[dependencies.serde]
version = "1.0"
features = [
    "derive",
    "derive",
]

[dependencies.serde_json]
version = "1.0"
